Vamos conhecer o Synaptic no LMDE <° Linux

Uma das perguntas mais frequentes entre os usuários que começam em GNU / Linux, é como instalar ou desinstalar programas e que tipo de pacotes podem ser instalados. Mostraremos uma das maneiras mais fáceis de fazer esta tarefa, usando Synaptic, e também, vamos dizer brevemente o que é e como podemos usá-lo.

Normalmente em Windows, para instalar um programa, um arquivo com a extensão .exe e só temos que usar o Próximo »Próximo com um ou outro número de série e para o processo reverso (desinstalação), vamos para Painel de controle »Adicionar / remover programas.

No caso de GNU / Linux, há também o que poderíamos chamar de nosso .exe mas é claro, eles têm outro nome e estrutura. Normalmente, a maioria dos pacotes em GNU / Linux Eles são armazenados em repositórios e várias ferramentas são usadas para gerenciá-los. Talvez os mais populares ou conhecidos sejam os . Deb e os . Rpm e ambos podem ser gerenciados por Synaptic, que era inicialmente uma interface para APT.

Synaptic: Interface para APT

Trabalhar com Synaptic É muito simples. A interface não é complicada e raramente um novo usuário precisa usar ou modificar todas as suas opções. Em geral, como vem por padrão, as tarefas mais comuns podem ser realizadas.

Synaptic tem sido como ele Adicionar programas de remoção de Windows. Para o seu funcionamento, devemos ter configurado (no caso de Debian e seus derivados) os caminhos para os repositórios onde os pacotes a serem instalados estão localizados, no arquivo /etc/apt/sources.list. A partir desse arquivo, Synaptic obtém o caminho necessário para acessar os pacotes.

Conhecendo a interface.

É bom acrescentar que a interface do Synaptic en linuxmint, é diferente de Debian. Por algum motivo em linuxmintbotão não incluído Verifique todas as atualizações. Mas vamos voltar à interface.

No topo temos o Barra de menu do qual veremos algumas opções mais tarde. Um pouco mais abaixo, os seguintes botões:

  • Recarrega: Atualize a lista de pacotes.
  • Aplique: Quando marcamos um pacote para instalar ou desinstalar, usamos este botão para aplicar a mudança.
  • Propriedades: Mostra as características do pacote, sua descrição e dependências.
  • Pesquisa: Ele exibe uma caixa de diálogo com várias opções para pesquisar pacotes de acordo com certos parâmetros.

Botões de acesso rápido

Abaixo temos a interface dividida em duas colunas. À esquerda estão as opções de acordo com a seção que selecionamos. Chame a seção de botões: Seções, status, origem, filtros e resultados de pesquisa.

  • Seções: Mostra os pacotes organizados por categorias. Se quisermos pesquisar um pacote relacionado ao Ambiente de Trabalho Gnome, por exemplo, só temos que ir para a seção Gnome.
  • Status: Nesta seção, encontraremos quais são os pacotes atualizáveis, obsoletos, instalados ou residuais.
  • Origem: Mostra a origem (repositórios) dos pacotes. Em outras palavras, de onde eles vêm.
  • Filtros: Nesta seção, você pode aplicar certos filtros para obter vários tipos de informações. É importante saber que os pacotes quebrados aparecem aqui.
  • Resultados da Pesquisa: Exatamente o que ele faz é, como seu nome indica, mostrar os resultados das pesquisas em Synaptic.

Seções sinápticas

Por outro lado, temos a lista de pacotes que podemos instalar através do Synaptic. Se selecionarmos qualquer um deles e clicarmos com o botão direito, podemos escolher certas opções, como:

  • Desmarque: Desmarque o pacote se o tivermos selecionado anteriormente.
  • Marque para instalar: Verifique o pacote para instalar.
  • Marque para reinstalar: Bem, selecione e reinstale o pacote.
  • Marque para atualizar: Se o pacote tiver uma atualização, nós a selecionamos com esta opção.
  • Marque para deletar: Exclua apenas o pacote selecionado.
  • Marque para remover completamente: Remova o pacote selecionado com suas dependências recomendadas. As dependências sugeridas vão para a configuração residual.
  • Propriedades: Faz o mesmo que o botão na parte superior.
  • Marca recomendada para instalação: Selecione as dependências recomendadas do pacote a ser instalado.
  • Marca sugerida para instalação: Selecione as dependências sugeridas do pacote a ser instalado.

Lista de pacotes disponíveis

Outras opções.

Sabendo disso, já podemos trabalhar com Synaptic, mas podemos fazer outras coisas, como, por exemplo, alterar as fontes dos repositórios. Algo útil se os espelhos que usamos são lentos ou baixos. Para isso vamos Configuração »Repositório.

Na janela de opções que obtemos, precisamos conhecer apenas 3 guias para poder gerenciar nossos repositórios. No primeiro, temos os ramos que usamos em linuxmint (Principal, Upstream, Importação, Backport e Romeo) Apenas marcar / desmarcar edita o arquivo /etc/apt/sources.list.

Origens do Software

Na segunda guia, incluímos os repositórios que não são hortelã, isto é, o Pacotes de Terceiros como de Debian, The PPA de Ubuntu ou qualquer fonte compatível com LMDE.

Software de terceiros

E na terceira aba, podemos ativar as atualizações automáticas e toda vez que quisermos que elas sejam executadas.

Atualizações automáticas

Ainda mais?

Se você precisar, Synaptic também tem que definir o Proxy de rede e distribuição que queremos usar por padrão. Para isso vamos Configurações »Preferências.

Para explicar um pouco sobre o distribuição, se olharmos para o arquivo /etc/apt/sources.list, temos dois layouts para usar (observe o texto colorido):

deb http://packages.linuxmint.com/ debian importação upstream principal
debhttp://ftp.debian.org/debian ensaio contribuição principal não livre
http://security.debian.org/ ensaio/ updates main contrib non-free
debhttp://www.debian-multimedia.org ensaio principal não livre

Por padrão, Synaptic sempre leva a distribuição mais alta, o que significa que se o pacote entrar Pidgin 2.8 nos repos de Hortelã (debian) e versão 2.9 em Debian (ensaio), o programa irá sugerir a instalação da versão 2.9.

Claro, isso pode ser alterado se escolhermos manualmente a distribuição que queremos usar usando a opção: Prefere versões de:

Escolha a distribuição
E bem, se usarmos um proxy para conectar via http, também temos a opção de configurá-lo manualmente:

Proxy de rede

Existem outras ferramentas para gerenciar nossos pacotes, atualizá-los e instalá-los. Ubuntu por exemplo agora inclui seu Centro de softwaree LMDE tem um muito parecido, mas de uma certa forma Synaptic É mais completo.


O conteúdo do artigo segue nossos princípios de Ética editorial. Para relatar um erro, clique Clique aqui.

2 comentários, deixe o seu

Deixe um comentário

Seu endereço de email não será publicado. Campos obrigatórios são marcados com *

*

*

  1. Responsável pelos dados: Miguel Ángel Gatón
  2. Finalidade dos dados: Controle de SPAM, gerenciamento de comentários.
  3. Legitimação: Seu consentimento
  4. Comunicação de dados: Os dados não serão comunicados a terceiros, exceto por obrigação legal.
  5. Armazenamento de dados: banco de dados hospedado pela Occentus Networks (UE)
  6. Direitos: A qualquer momento você pode limitar, recuperar e excluir suas informações.

  1.   Jonathan dito

    Muito obrigado, a verdade é que estou apenas começando com o Linux e essa ferramenta é vital. É bom conhecê-la melhor

  2.   claro dito

    Preciso saber como evitar que o Linux mint 17 Quiana tente atualizar o repo de seu site oficial
    E incluído em meu sources.list um novo endereço de atualização já testado no Ubuntu 14.04 e compatível com o Mint, mas quando (apt-get update) o seguinte é mostrado:

    Errar http://ubuntu.mes.edu.cu InRelease proposta confiável

    Errar http://packages.linuxmint.com qianaInRelease

    Errar http://archive.ubuntu.com confiável InRelease

    Errar http://archive.ubuntu.com Trusty-updates InRelease

    Errar http://security.ubuntu.com Trusty-security InRelease

    Errar http://ubuntu.mes.edu.cu Trusty-security InRelease

    Errar http://ubuntu.mes.edu.cu Trusty-updates InRelease

    Errar http://ubuntu.mes.edu.cu confiável InRelease

    Errar http://archive.ubuntu.com confiável Release.gpg
    Não foi possível resolver "archive.ubuntu.com"
    Errar http://security.ubuntu.com Trusty-security Release.gpg
    Não foi possível resolver "security.ubuntu.com"
    Errar http://ubuntu.mes.edu.cu Trusty-proposto Release.gpg
    Não foi possível resolver "ubuntu.mes.edu.cu"
    Errar http://packages.linuxmint.com qiana Release.gpg
    Não foi possível resolver "packages.linuxmint.com"
    Errar http://ubuntu.mes.edu.cu Trusty-security Release.gpg
    Não foi possível resolver "ubuntu.mes.edu.cu"
    Errar http://ubuntu.mes.edu.cu Trusty-updates Release.gpg
    Não foi possível resolver "ubuntu.mes.edu.cu"
    Errar http://archive.ubuntu.com Trusty-updates Release.gpg
    Não foi possível resolver "archive.ubuntu.com"
    Errar http://ubuntu.mes.edu.cu confiável Release.gpg
    Não foi possível resolver "ubuntu.mes.edu.cu"
    Errar http://extra.linuxmint.com qianaInRelease

    Errar http://extra.linuxmint.com qiana Release.gpg
    Não foi possível resolver "extra.linuxmint.com"
    Errar http://archive.canonical.com confiável InRelease

    Errar http://archive.canonical.com confiável Release.gpg
    Não foi possível resolver "archive.canonical.com"
    W: Incapaz de obter http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-proposed/InRelease

    W: Incapaz de obter http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-security/InRelease

    W: Incapaz de obter http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-updates/InRelease

    W: Incapaz de obter http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty/InRelease

    W: Incapaz de obter http://packages.linuxmint.com/dists/qiana/InRelease

    W: Incapaz de obter http://extra.linuxmint.com/dists/qiana/InRelease

    W: Incapaz de obter http://archive.ubuntu.com/ubuntu/dists/trusty/InRelease

    W: Incapaz de obter http://archive.ubuntu.com/ubuntu/dists/trusty-updates/InRelease

    W: Incapaz de obter http://security.ubuntu.com/ubuntu/dists/trusty-security/InRelease

    W: Incapaz de obter http://archive.canonical.com/ubuntu/dists/trusty/InRelease

    W: Incapaz de obter http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-proposed/Release.gpg Não foi possível resolver "ubuntu.mes.edu.cu"

    W: Incapaz de obter http://packages.linuxmint.com/dists/qiana/Release.gpg Não foi possível resolver "packages.linuxmint.com"

    W: Incapaz de obter http://archive.ubuntu.com/ubuntu/dists/trusty/Release.gpg Não foi possível resolver "archive.ubuntu.com"

    W: Incapaz de obter http://archive.ubuntu.com/ubuntu/dists/trusty-updates/Release.gpg Não foi possível resolver "archive.ubuntu.com"

    W: Incapaz de obter http://security.ubuntu.com/ubuntu/dists/trusty-security/Release.gpg Não foi possível resolver "security.ubuntu.com"

    W: Incapaz de obter http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-security/Release.gpg Não foi possível resolver "ubuntu.mes.edu.cu"

    W: Incapaz de obter http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-updates/Release.gpg Não foi possível resolver "ubuntu.mes.edu.cu"

    W: Incapaz de obter http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty/Release.gpg Não foi possível resolver "ubuntu.mes.edu.cu"

    W: Incapaz de obter http://extra.linuxmint.com/dists/qiana/Release.gpg Não foi possível resolver "extra.linuxmint.com"

    W: Incapaz de obter http://archive.canonical.com/ubuntu/dists/trusty/Release.gpg Não foi possível resolver "archive.canonical.com"

    W: Falha ao baixar alguns arquivos de índice. Eles foram ignorados ou os antigos usados ​​em seu lugar.
    E: Não foi possível bloquear / var / lib / dpkg / lock - open (11: Recurso temporariamente indisponível)
    E: Não foi possível bloquear o diretório de administração (/ var / lib / dpkg /), talvez haja algum outro processo usando-o?

    *************** Como resolver este problema? **************************
    Eu imploro que você me ajude por favor